curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id} \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id}"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id}")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"beneficiary_id": "285d9110-ed8e-4bb3-b206-f0a7d6d4aaeb",
"short_reference_id": "BF260911-OGJMC98L",
"entity_type": "COMPANY",
"payment_method": "LOCAL",
"email": "",
"nickname": "sr08-d4dc6ae9",
"company_name": "UQPAY PTE. LTD.",
"summary": "",
"id_number": "",
"first_name": "",
"last_name": "",
"bank_details": {
"bank_name": "GREEN LINK DIGITAL BANK",
"bank_address": "MAPLETREE BUSINESS CITY 20 PASIR PANJANG ROAD 07-25/28 SINGAPORE",
"bank_country_code": "SG",
"account_holder": "UQPAY PTE. LTD.",
"account_currency_code": "SGD",
"account_number": "11020075767",
"iban": "",
"swift_code": "GLDTSGSGXXX",
"clearing_system": "FAST",
"routing_code_type1": "",
"routing_code_value1": "",
"routing_code_type2": "",
"routing_code_value2": ""
},
"address": {
"nationality": "",
"country": "SG",
"city": "",
"street_address": "",
"postal_code": "",
"state": ""
},
"beneficiary_status": "ACTIVE",
"additional_info": {
"organization_code": "",
"proxy_id": "",
"msisdn": "",
"id_type": "",
"id_number": "",
"tax_id": ""
}
}Retrieve Beneficiary
Retrieve a saved beneficiary by its beneficiary ID. Review its recipient and payment details before creating a payout or updating the beneficiary.
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id} \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id}"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id}")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v1/beneficiaries/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"beneficiary_id": "285d9110-ed8e-4bb3-b206-f0a7d6d4aaeb",
"short_reference_id": "BF260911-OGJMC98L",
"entity_type": "COMPANY",
"payment_method": "LOCAL",
"email": "",
"nickname": "sr08-d4dc6ae9",
"company_name": "UQPAY PTE. LTD.",
"summary": "",
"id_number": "",
"first_name": "",
"last_name": "",
"bank_details": {
"bank_name": "GREEN LINK DIGITAL BANK",
"bank_address": "MAPLETREE BUSINESS CITY 20 PASIR PANJANG ROAD 07-25/28 SINGAPORE",
"bank_country_code": "SG",
"account_holder": "UQPAY PTE. LTD.",
"account_currency_code": "SGD",
"account_number": "11020075767",
"iban": "",
"swift_code": "GLDTSGSGXXX",
"clearing_system": "FAST",
"routing_code_type1": "",
"routing_code_value1": "",
"routing_code_type2": "",
"routing_code_value2": ""
},
"address": {
"nationality": "",
"country": "SG",
"city": "",
"street_address": "",
"postal_code": "",
"state": ""
},
"beneficiary_status": "ACTIVE",
"additional_info": {
"organization_code": "",
"proxy_id": "",
"msisdn": "",
"id_type": "",
"id_number": "",
"tax_id": ""
}
}Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Path Parameters
Universally unique identifier (UUID v4) of a resource.
"b3d9d2d5-4c12-4946-a09d-953e82sed2b0"
Response
OK - Successfully retrieved a beneficiary.
- BeneficiariesResponse
- BeneficiariesResponse
- BeneficiariesResponse
The payment method needs to be specified to ensure that accurate banking details are captured and validated for the specified payment method.
LOCAL: Payment processed through domestic payment networks with local clearing systems.SWIFT: International payment processed through the SWIFT network for cross-border transfers.CARD: Payment to card recipients through Mastercard Send. Availability depends on your account authorization and the country, currency, and recipient entity type returned by List Payment Methods.
LOCAL "LOCAL"
Show child attributes
Show child attributes
For LOCAL payments to a bank in SG with account currency SGD, city, state, and street_address may be empty strings when not provided. Non-empty values follow the corresponding field constraints. Other routes require a complete address.
- Bank beneficiary address
- Mastercard beneficiary address
Show child attributes
Show child attributes
Universally unique identifier (UUID v4) of the beneficiary.
"b3d9d2d5-4c12-4946-a09d-953e82sed2b0"
The reference generated by the system to identify the entity.
"P220406-LLCVLRM"
Specifies the type of beneficiary entity to filter by. Valid values are:
COMPANY: corporate entitiesINDIVIDUAL: personal accounts
COMPANY, INDIVIDUAL "COMPANY"
Email address of the beneficiary.
"example@uqpay.com"
Status of the beneficiary.
ACTIVE: The beneficiary has been fully verified and is eligible to receive payments.PENDING: The beneficiary is undergoing verification process and cannot yet receive payments.
ACTIVE, PENDING "ACTIVE"
Summary of the beneficiary.
"John Doe"
Nickname of the beneficiary.
120"John Doe"
Company name of the beneficiary, only exist when the entity_type is COMPANY.
-
When
payment_method = SWIFT:- Only English letters, numbers, special characters (half-width format), and spaces can be included.
- Allowed special characters:
-_().,@#~ ! $ % ^ & * + = { } [ ] \ | : " ' < > ? /・……
-
When
payment_method = LOCAL:- No strict validation rules apply, local language characters are supported.
-
No need to pass this field when
bank_details.bank_country_code = SG&bank_details.account_currency_code = SGD -
When
bank_country_code = CN&account_currency_code = CNH&payment_method = LOCAL&entity_type = COMPANY, Chinese characters and Chinese parentheses()are supported.
120^[a-zA-Z0-9 -_().,@#~!$%^&*+={}\|:"'<>?/・……]*$"UQPAY TECHNOLOGY SG PTE LTD"
First name of the beneficiary, only exist when the entity_type is INDIVIDUAL.
-
When
payment_method = SWIFT:- Only English letters, numbers, special characters (half-width format), and spaces can be included.
- Allowed special characters:
-_().,@#~ ! $ % ^ & * + = { } [ ] \ | : " ' < > ? /・……
-
When
payment_method = LOCAL:- No strict validation rules apply, local language characters are supported.
-
No need to pass this field when
bank_details.bank_country_code = SG&bank_details.account_currency_code = SGD
45^[a-zA-Z0-9 -_().,@#~!$%^&*+={}\|:"'<>?/・……]*$"John"
Last name of the beneficiary, only exist when the entity_type is INDIVIDUAL.
-
When
payment_method = SWIFT:- Only English letters, numbers, special characters (half-width format), and spaces can be included.
- Allowed special characters:
-_().,@#~ ! $ % ^ & * + = { } [ ] \ | : " ' < > ? /・……
-
When
payment_method = LOCAL:- No strict validation rules apply, local language characters are supported.
-
No need to pass this field when
bank_details.bank_country_code = SG&bank_details.account_currency_code = SGD
45^[a-zA-Z0-9 -_().,@#~!$%^&*+={}\|:"'<>?/・……]*$"Doe"
The identification number of the individual beneficiary.
Mandatory when the beneficiary is a Mainland China resident and the following conditions are met:
bank_details.account_currency_codeisCNHpayment_methodisLOCAL
"110101199001011234"
Create time of the beneficiary.
"2024-03-01T00:00:00+08:00"
Update time of the beneficiary.
"2024-03-01T00:00:00+08:00"
Additional information for beneficiaries.
Show child attributes
Show child attributes

